#
# preferdlg.py
# $Id: preferdlg.py,v 1.1 1996/08/27 15:52:24 kzeil Exp $
#
# Koert Zeilstra - Network Solutions
# 1996.08.27
#

import Tkinter

import labelentry

class PreferencesDialog(Tkinter.Toplevel):
  def __init__(self, parent):
    Tkinter.Toplevel.__init__(self, parent)

    self.title('PyRwhois - Preferences')
    self.iconname('PyRwhois')

    self._ok_command = None
    self._server_name = Tkinter.StringVar()
    self._server_port = Tkinter.IntVar()
    self._limit = Tkinter.IntVar()

    self._server_name.set("rwhois.internic.net")
    self._server_port.set(4321)
    self._limit.set(20)

    server_name = labelentry.LabelEntry(self, "Server", 8, 25,
					self._server_name)
    server_name.pack(side="top", fill="x")
    server_port = labelentry.LabelEntry(self, "Port", 8, 6, self._server_port)
    server_port.pack(side="top", fill="x")
    limit = labelentry.LabelEntry(self, "Limit", 8, 6, self._limit)
    limit.pack(side="top", fill="x")

    buttons = Tkinter.Frame(self)
    ok_btn = Tkinter.Button(buttons, text="OK", width=8, command=self.ok)
    ok_btn.pack(side="left", padx=5, pady=3)
    cancel_btn = Tkinter.Button(buttons, text="Cancel", width=8,
				command=self.close)
    cancel_btn.pack(side="left", padx=5, pady=3)
    buttons.pack(side="top")

    self.protocol("WM_DELETE_WINDOW", self.close)

  def close(self):
    self.withdraw()

  def ok(self):
    if self._ok_command:
      self._ok_command()
    self.close()

  def okCommand(self, command):
    self._ok_command = command

  def setPreferences(self, preferences):
    self._server_name.set(preferences["host"])
    self._server_port.set(preferences["port"])
    self._limit.set(preferences["limit"])

  def getPreferences(self):
    return {"host": self._server_name.get(),
	    "port": self._server_port.get(),
	    "limit": self._limit.get()}





